Package com.io7m.idstore.database.api

# Enum Class IdDatabaseRole

java.lang.Object
java.lang.Enum<IdDatabaseRole>
com.io7m.idstore.database.api.IdDatabaseRole

All Implemented Interfaces:
  `Serializable`, `Comparable<IdDatabaseRole>`, `Constable`

public enum IdDatabaseRole extends Enum<IdDatabaseRole>
The roles used by the server database.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADMIN`
  The administration role.
  `IDSTORE`
  The main idstore role.
  `IDSTORE_READ_ONLY`
  The main read-only idstore role.
  `NONE`
  The null role; has no privileges and cannot do anything.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdDatabaseRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdDatabaseRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADMIN

    public static final IdDatabaseRole ADMIN
    The administration role.

  - ### IDSTORE

    public static final IdDatabaseRole IDSTORE
    The main idstore role.

  - ### IDSTORE_READ_ONLY

    public static final IdDatabaseRole IDSTORE_READ_ONLY
    The main read-only idstore role.

  - ### NONE

    public static final IdDatabaseRole NONE
    The null role; has no privileges and cannot do anything.

- ## Method Details

  - ### values

    public static IdDatabaseRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdDatabaseRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null